<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/for_practice.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];

$practice_id = "";

if (!isset($_GET['practice_id']) || !is_numeric($_GET['practice_id'])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$practice_id = $_GET['practice_id'];



$answer ="";
$department_id = "";
$level_id = "";
$practice_title = "";
$practice_text = "";
$difficulty ="";
$comment = "";

$input_flag = "";
$up_flag = "";
$show_txt = "";
$err_msg = "";

$img_set="";
$av_set="";
$url_img = LOCAL_URL."img_files/";
$url_av = LOCAL_URL."av_files/";

$department_sel = "";
$level_sel="";
$dif_sel = "";

$key_word_arr = array();
$item_bango_arr = array();
$item_txt_arr = array();
$item_is_right_arr = array();

$is_keyword_display = "none";
$is_item_display = "none";

$is_file_input_display = "inline";
$is_file_exist_display ="none";
$img_file ="";
$img_url = "";
$prac_com_list = "";
$analysis_list = "<hr size=5/><h3>"._EXAM_COMMON_PRACTICE_ANA_LABLE."</h3>";
$creater_disp = "";

if (isset($_SESSION["tmp_img"])) {
	if (is_dir(DOC_ROOT."img_files/".$_SESSION["tmp_img"])) {
		$img_files = scandir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
		foreach($img_files as $del_img){
			if ($del_img <> "." && $del_img <> "..")  unlink(DOC_ROOT."img_files/".$_SESSION["tmp_img"]."/".$del_img);
		}
		rmdir(DOC_ROOT."img_files/".$_SESSION["tmp_img"]);
	}
	unset($_SESSION["tmp_img"]);
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$practice_object = new CPracTableAccess();
	if (isset($_POST['input_flag']) && $_POST['input_flag'] == "del") {
		//

		$del_cond = "practice_id = '".$practice_object->escapeSqlString($practice_id)."'";
		if ($practice_object->delDat($del_cond, $data_object->conn)) {
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."admin/practice_reg/index.php");
			exit;
		} else {
			$err_msg .= $practice_object->err_msg;
		}
	}

	$practice_data = $practice_object->getDetailPracticeData($data_object->conn,$practice_id);
	if ($practice_data == false) {
		$err_msg .= "No Data Found";
	} else {
		$answer = intval($practice_data['answer']);
		$department_id = intval($practice_data['department']);
		$level_id = intval($practice_data['level']);
		$practice_title = htmlspecialchars($practice_data['practice_title'],ENT_QUOTES);
		$practice_text = htmlspecialchars($practice_data['practice_text'],ENT_QUOTES);
		$difficulty =intval($practice_data['exp_dif']);
		$status = intval($practice_data['status']);
		$comment = htmlspecialchars($practice_data['comment'],ENT_QUOTES);

		$img_file = $practice_data['img_file'];
		if ($img_file <> "") {
			$img_url = "<a href='#' onClick='changeImg(0)'>";
			$img_url .="<img src='".LOCAL_URL."img_files/prac_".$practice_id."/".$img_file."' width='300' height='200' />";
			$img_url .= "</a>";
			$is_file_input_display = "none";
			$is_file_exist_display ="inline";
		}

		//2010/12/26 ˥åѤɤ̤åʤСis_new0ˤ롣
		if ($practice_data['is_new'] == 1) {
			$practice_object->upDat("is_new=0",
				"practice_id='".$practice_object->escapeSqlString($practice_id)."'",
					$data_object->conn);
		}

		//if ($answer == 0) {
		if ($answer == 0 || $answer == 5) {
			$key_word_object = new CPracKeyWordTableAccess();
			if ($key_word_object->setKeyWordPerPracticeArr($data_object->conn, $practice_id)) {
				while ($key_word_data = $key_word_object->dbFetchArr()) {
					array_push($key_word_arr, htmlspecialchars($key_word_data['key_word_txt'],ENT_QUOTES));

				}
				$key_word_object->dbFreeResult();
			}

			$is_keyword_display = "inline";
			$is_item_display = "none";
		} else if ($answer == 1 || $answer == 2) {
			$item_object = new CPracItemTableAccess();
			if ($item_object->setItemPerPracticeArr($data_object->conn, $practice_id)) {
				while ($item_data = $item_object->dbFetchArr()) {
					array_push($item_bango_arr,htmlspecialchars($item_data['item_order'],ENT_QUOTES));
					array_push($item_txt_arr,htmlspecialchars($item_data['item_txt'],ENT_QUOTES));
					array_push($item_is_right_arr,$item_data['is_right']);
				}
				$item_object->dbFreeResult();
			}
			$is_keyword_display = "none";
			$is_item_display = "inline";
		}
	}


	$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();

	$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object->setDataForInput();
	$dif_sel = $dif_object->getRadioList ("dif", $difficulty);
	$dif_dat_arr = $dif_object->getBasicData();

	$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object->setDataForInput();
	$level_sel = $lev_object->getRadioList ("lev", $level_id);
	$lev_dat_arr = $lev_object->getBasicData();

	//ؤΥ
	$start_id = 0;
	if (isset($_GET['pgid']) && is_numeric($_GET['pgid'])) {
		$start_id = $_GET['pgid'];
	}
	$prac_com_object = new CPracticeComment();
	$prac_com_object->setCommentList($data_object->conn,$practice_id,$start_id,0,"","mod_form.php?");
	$prac_com_list = _EXAM_COMMON_PRACTICE_COM_LIST.$prac_com_object->getCommentList();

	$practice_ana_object = new CPracAnalysis();
	if (!$practice_ana_object->setPracInfo($data_object->conn,$practice_id)) {
		$analysis_list .= "NO DATA";
	} else {
		$practice_ana_object->setAdminShowList();
		$analysis_list .= $practice_ana_object->getAdminShowList();
	}
	//桼ǯ
	if (is_numeric($practice_data["cre_student_id"])) {
		$student_object = new CStudentTableAccess();
		$st_data = $student_object->getOneStudent($data_object->conn, $practice_data["cre_student_id"]);
		if ($st_data <> false) {
			$creater_disp = htmlspecialchars($st_data["student_nam"],3)._EXAM_COMMON_PRACTICE_MAKE_USR;

		}
	}
	$data_object->closeDB();
}

$for_del ="<form action ='mod_form.php?practice_id=".$practice_id."' name='del_form' method='POST'>";
$for_del .="<input type='hidden' name='input_flag' value='del'>";
$for_del .="<input type ='hidden' name ='DEL0' value ='".$practice_id."'>";
$for_del .="<input type ='button' value ='"._COMMON_DEL_TXT."' onClick=\"delData()\"></form>";


$show_data = file_get_contents('../../templates/ad_practice/practice_form.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':PRAC_TITLE_TXT:', $practice_title, $show_data);
$show_data = str_replace(':PRAC_TXT_REP:', $practice_text, $show_data);

//for ($i=0; $i<3; $i++) {
for ($i=0; $i<6; $i++) {
	$selected = "";
	if ($answer === $i) $selected = "SELECTED";
	$show_data = str_replace(":SELECTED_REP".$i.":", $selected, $show_data);

}

$show_data = str_replace(':DEP_SEL_REP:', $department_sel, $show_data);
$show_data = str_replace(':LEV_SEL_REP:', $level_sel, $show_data);
$show_data = str_replace(':DIF_SEL_REP:', $dif_sel, $show_data);

for ($i=0; $i<3; $i++) {
	$selected = "";
	if ($status === $i) $selected = "SELECTED";
	$show_data = str_replace(":ST_SELECTED_REP".$i.":", $selected, $show_data);
}
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);

for ($i=0; $i<10; $i++) {
	$key_word_txt = "";
	if (isset($key_word_arr[$i])) $key_word_txt = $key_word_arr[$i];
	$show_data = str_replace(':KEY_WORD'.$i.'_REP'.$i.':', $key_word_txt, $show_data);
}

for ($i=0; $i < 10; $i++) {
	$item_order = "";
	$item_txt = "";
	$is_right = 0;
	if (isset($item_bango_arr[$i])) {
		$item_order = $item_bango_arr[$i];
		$item_txt = $item_txt_arr[$i];
		$is_right = $item_is_right_arr[$i];
	}
	$show_data = str_replace(':BANGO_REP'.$i.':', $item_order, $show_data);
	$show_data = str_replace(':ITEM_TXT_REP'.$i.':', $item_txt, $show_data);
	if ($is_right == 1) {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "CHECKED", $show_data);
	} else {
		$show_data = str_replace(':IS_RIGHT'.$i.'_REP:', "", $show_data);
	}
}

$show_data = str_replace(':DEL_BUTTON_REP:', $for_del, $show_data);

$show_data = str_replace(':KEY_WORD_DISPLAY_REP:', $is_keyword_display, $show_data);
$show_data = str_replace(':ITEM_DISPLAY_REP:', $is_item_display, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $practice_id, $show_data);
$show_data = str_replace(':ACT_TYPE_REP:', "update", $show_data);
$show_data = str_replace(':QUE_ID_REP:', "", $show_data);
$show_data = str_replace(':IMG_VIEW_REP:', $img_url, $show_data);
$show_data = str_replace(':EXIST_FILE_NAME_REP:', $img_file, $show_data);
$show_data = str_replace(':FILE_INPUT_DISPLAY_REP:', $is_file_input_display, $show_data);
$show_data = str_replace(':FILE_EXIST_DISPLAY_REP:', $is_file_exist_display, $show_data);
$show_data = str_replace(':TEXT_ID_REP:', "", $show_data);
$show_data = str_replace(':PRAC_COM_REP:', $prac_com_list, $show_data);
$show_data = str_replace(':ANALYSIS_REP:', $analysis_list, $show_data);
$show_data = str_replace(':CREATER_DISP_REP:', $creater_disp, $show_data);
echo $show_data;
?>